net.sourceforge.pmd

## Class AbstractConfiguration

- java.lang.Object
- - net.sourceforge.pmd.AbstractConfiguration

Direct Known Subclasses:
  CPDConfiguration, PMDConfiguration

    public abstract class AbstractConfiguration
    extends Object

Author:
  Brian Remedios

### Constructor Summary

Constructors
`protected` `AbstractConfiguration()`

### Method Summary

Methods
`String` `getSourceEncoding()` Get the character encoding of source files.
`boolean` `isDebug()` Return the debug indicator.
`void` `setDebug(boolean debug)` Set the debug indicator.
`void` `setSourceEncoding(String sourceEncoding)` Set the character encoding of source files.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractConfiguration

    protected AbstractConfiguration()

### Method Detail

#### getSourceEncoding

    public String getSourceEncoding()

Get the character encoding of source files.

Returns:
  The character encoding.

#### setSourceEncoding

    public void setSourceEncoding(String sourceEncoding)

Set the character encoding of source files.

Parameters:
  `sourceEncoding` - The character encoding.

#### isDebug

    public boolean isDebug()

Return the debug indicator. If this value is `true` then PMD will log debug information.

Returns:
  `true` if debug logging is enabled, `false` otherwise.

#### setDebug

    public void setDebug(boolean debug)

Set the debug indicator.

Parameters:
  `debug` - The debug indicator to set.
See Also:
  `isDebug()`